Name: Implant Calculator
Version: 1.0.0.17
Publisher: South Dakota State University
The following prerequisites are required:
  • .NET Framework 2.0 (x86)
If these components are already installed, you can launch the application now. Otherwise, click the button below to install the prerequisites and run the application.
Install
Firefox users: To install this application using Firefox, you will need the .NET Framework Assistant extension and version 3.5 or greater of the .NET Framework .